com.amazonaws.codegen

## Class AstJsonToAstJava

- java.lang.Object
- - com.amazonaws.codegen.AstJsonToAstJava

    public class AstJsonToAstJava
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AstJsonToAstJava()`

### Method Summary

All Methods Static Methods Concrete Methods
`static JmesPathExpression` `fromAstJsonToAstJava(com.fasterxml.jackson.databind.JsonNode jsonNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AstJsonToAstJava

    public AstJsonToAstJava()

### Method Detail

#### fromAstJsonToAstJava

    public static JmesPathExpression fromAstJsonToAstJava(com.fasterxml.jackson.databind.JsonNode jsonNode)
                                                   throws InvalidTypeException

Throws:
  `InvalidTypeException`